GDBserver

Functions | Variables
linux-aarch32-low.h File Reference

Go to the source code of this file.

## Functions
void | arm_fill_gregset (struct regcache *regcache, void *buf)
void | arm_store_gregset (struct regcache *regcache, const void *buf)
void | arm_fill_vfpregset_num (struct regcache *regcache, void *buf, int num)
void | arm_store_vfpregset_num (struct regcache *regcache, const void *buf, int num)
int | arm_breakpoint_kind_from_pc (CORE_ADDR *pcptr)
const gdb_byte * | arm_sw_breakpoint_from_kind (int kind, int *size)
int | arm_breakpoint_kind_from_current_state (CORE_ADDR *pcptr)
int | arm_breakpoint_at (CORE_ADDR where)
void | initialize_low_arch_aarch32 (void)
void | init_registers_arm_with_neon (void)
int | arm_is_thumb_mode (void)

## Variables
struct regs_info | regs_info_aarch32
const struct target_desc * | tdesc_arm_with_neon

## Function Documentation

## ◆ arm_breakpoint_at()

int arm_breakpoint_at | ( | CORE_ADDR | where | ) |

Definition at line 188 of file linux-aarch32-low.c.

References arm_abi_breakpoint, arm_eabi_breakpoint, arm_is_thumb_mode(), target_ops::read_memory, the_target, thumb2_breakpoint, and thumb_breakpoint.

Referenced by aarch64_breakpoint_at().

## ◆ arm_breakpoint_kind_from_current_state()

int arm_breakpoint_kind_from_current_state | ( | CORE_ADDR * | pcptr | ) |

Definition at line 286 of file linux-aarch32-low.c.

References arm_breakpoint_kind_from_pc(), and arm_is_thumb_mode().

Referenced by aarch64_breakpoint_kind_from_current_state().

## ◆ arm_breakpoint_kind_from_pc()

int arm_breakpoint_kind_from_pc | ( | CORE_ADDR * | pcptr | ) |

Definition at line 231 of file linux-aarch32-low.c.

References target_read_memory().

Referenced by aarch64_breakpoint_kind_from_pc(), and arm_breakpoint_kind_from_current_state().

## ◆ arm_fill_gregset()

void arm_fill_gregset | ( | struct regcache * | regcache,
|  | void * | buf
| ) |  |

Definition at line 61 of file linux-aarch32-low.c.

References collect_register().

## ◆ arm_fill_vfpregset_num()

void arm_fill_vfpregset_num | ( | struct regcache * | regcache,
|  | void * | buf,
|  | int | num
| ) |  |

Definition at line 101 of file linux-aarch32-low.c.

References collect_register(), collect_register_by_name(), find_regno(), gdb_assert, and regcache::tdesc.

Referenced by arm_fill_vfpregset().

## ◆ arm_is_thumb_mode()

int arm_is_thumb_mode | ( | void |  | ) |

Definition at line 172 of file linux-aarch32-low.c.

References collect_register_by_name(), current_thread, and get_thread_regcache().

Referenced by arm_breakpoint_at(), arm_breakpoint_kind_from_current_state(), arm_get_syscall_trapinfo(), get_next_pcs_is_thumb(), and get_next_pcs_syscall_next_pc().

## ◆ arm_store_gregset()

void arm_store_gregset | ( | struct regcache * | regcache,
|  | const void * | buf
| ) |  |

Definition at line 79 of file linux-aarch32-low.c.

References memset(), and supply_register().

## ◆ arm_store_vfpregset_num()

void arm_store_vfpregset_num | ( | struct regcache * | regcache,
|  | const void * | buf,
|  | int | num
| ) |  |

Definition at line 118 of file linux-aarch32-low.c.

References find_regno(), gdb_assert, supply_register(), supply_register_by_name(), and regcache::tdesc.

Referenced by arm_store_vfpregset().

## ◆ arm_sw_breakpoint_from_kind()

const gdb_byte* arm_sw_breakpoint_from_kind | ( | int | kind,
|  | int * | size
| ) |  |

Definition at line 257 of file linux-aarch32-low.c.

References arm_breakpoint, arm_breakpoint_len, thumb2_breakpoint, thumb2_breakpoint_len, thumb_breakpoint, and thumb_breakpoint_len.

Referenced by aarch64_sw_breakpoint_from_kind().

## ◆ init_registers_arm_with_neon()

void init_registers_arm_with_neon | ( | void |  | ) |

Referenced by initialize_low_arch_aarch32().

## ◆ initialize_low_arch_aarch32()

void initialize_low_arch_aarch32 | ( | void |  | ) |

Definition at line 300 of file linux-aarch32-low.c.

References aarch32_regsets_info, and init_registers_arm_with_neon().

Referenced by initialize_low_arch().

## Variable Documentation

## ◆ regs_info_aarch32

struct regs_info regs_info_aarch32

Definition at line 162 of file linux-aarch32-low.c.

Referenced by aarch64_regs_info(), and arm_regs_info().

## ◆ tdesc_arm_with_neon

const struct target_desc* tdesc_arm_with_neon

Referenced by aarch64_arch_setup(), arm_fill_vfpregset(), arm_read_description(), arm_regs_info(), and arm_store_vfpregset().